<?php

namespace Lc\ShopBundle\Repository;

use Lc\ShopBundle\Context\DefaultRepositoryInterface;
use Lc\ShopBundle\Context\CreditHistoryInterface;

/**
 * @method CreditHistoryInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method CreditHistoryInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method CreditHistoryInterface[]    findAll()
 * @method CreditHistoryInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class CreditHistoryRepository extends BaseRepository implements DefaultRepositoryInterface
{
        public function getInterfaceClass()
        {
                return CreditHistoryInterface::class;
        }

        public function findAllByUserMerchant($userMerchant)
        {
                return $this->createQueryBuilder('e')
                        ->andWhere('e.userMerchant = :userMerchant')
                        ->setParameter('userMerchant', $userMerchant)
                        ->addOrderBy('e.createdAt', 'DESC')
                        ->getQuery()->getResult();
        }
}
